#include <frostbite2D/scene/scene.h>
#include <SDL2/SDL.h>

namespace frostbite2D {

Scene::Scene() {
}

Scene::~Scene() {
}

void Scene::onEnter() {
  SDL_Log("Scene  onEnter");
}

void Scene::onExit() {
  SDL_Log("Scene  onExit");
}

void Scene::Update(float deltaTime) {
  UpdateChildren(deltaTime);
}

void Scene::Render() {
  RenderChildren();
}

}

